---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.128.0.11"
            ],
            "default": true,
            "dns": {}
        }]
      k8s.v1.cni.cncf.io/networks-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.128.0.11"
            ],
            "default": true,
            "dns": {}
        }]
      openshift.io/scc: anyuid
    creationTimestamp: "2022-03-08T10:14:10Z"
    generateName: authentication-operator-6fcbcf79b6-
    labels:
      app: authentication-operator
      pod-template-hash: 6fcbcf79b6
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"6febaf3d-fb22-4b63-9a0f-af808327b680"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"authentication-operator"}:
              .: {}
              f:args: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"IMAGE_OAUTH_APISERVER"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"IMAGE_OAUTH_SERVER"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERAND_OAUTH_SERVER_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"POD_NAME"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:securityContext:
                .: {}
                f:readOnlyRootFilesystem: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/var/run/configmaps/config"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                k:{"mountPath":"/var/run/configmaps/service-ca-bundle"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                  f:readOnly: {}
                k:{"mountPath":"/var/run/configmaps/trusted-ca-bundle"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                  f:readOnly: {}
                k:{"mountPath":"/var/run/secrets/serving-cert"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:nodeSelector:
            .: {}
            f:node-role.kubernetes.io/master: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"config"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
              f:name: {}
            k:{"name":"service-ca-bundle"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
                f:optional: {}
              f:name: {}
            k:{"name":"serving-cert"}:
              .: {}
              f:name: {}
              f:secret:
                .: {}
                f:defaultMode: {}
                f:optional: {}
                f:secretName: {}
            k:{"name":"trusted-ca-bundle"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
                f:optional: {}
              f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:14:10Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"PodScheduled"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
      manager: kube-scheduler
      operation: Update
      time: "2022-03-08T10:14:10Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
            f:k8s.v1.cni.cncf.io/networks-status: {}
      manager: multus
      operation: Update
      time: "2022-03-08T10:38:39Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.128.0.11"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2022-03-08T10:42:53Z"
    name: authentication-operator-6fcbcf79b6-5h2gz
    namespace: openshift-authentication-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: authentication-operator-6fcbcf79b6
      uid: 6febaf3d-fb22-4b63-9a0f-af808327b680
    resourceVersion: "15579"
    selfLink: /api/v1/namespaces/openshift-authentication-operator/pods/authentication-operator-6fcbcf79b6-5h2gz
    uid: 33c4c720-1ab1-4f8c-a7c4-5a590a1c78dd
  spec:
    containers:
    - args:
      - |
        if [ -s /var/run/configmaps/trusted-ca-bundle/ca-bundle.crt ]; then
            echo "Copying system trust bundle"
            cp -f /var/run/configmaps/trusted-ca-bundle/ca-bundle.crt /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem
        fi
        exec authentication-operator operator --config=/var/run/configmaps/config/operator-config.yaml --v=2 --terminate-on-files=/var/run/configmaps/trusted-ca-bundle/ca-bundle.crt
      command:
      - /bin/bash
      - -ec
      env:
      - name: IMAGE_OAUTH_SERVER
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b0e3fc052d02f74ef44eda4392d91a6708e3efeb81e9286694f24c788b8ee931
      - name: IMAGE_OAUTH_APISERVER
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:19eac3f0c1f7b016f50511bbc48f807966a9690da7e461bfd7443fe7875de633
      - name: OPERATOR_IMAGE_VERSION
        value: 4.6.52
      - name: OPERAND_OAUTH_SERVER_IMAGE_VERSION
        value: 4.6.52_openshift
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d0e9ab39a035468cdc17b59fe61931ca6df3509099b6c2267338215499105524
      imagePullPolicy: IfNotPresent
      name: authentication-operator
      resources:
        requests:
          cpu: 10m
          memory: 50Mi
      securityContext:
        capabilities:
          drop:
          - MKNOD
        readOnlyRootFilesystem: false
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/configmaps/config
        name: config
      - mountPath: /var/run/secrets/serving-cert
        name: serving-cert
      - mountPath: /var/run/configmaps/trusted-ca-bundle
        name: trusted-ca-bundle
        readOnly: true
      - mountPath: /var/run/configmaps/service-ca-bundle
        name: service-ca-bundle
        readOnly: true
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: authentication-operator-token-4kbpn
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
    nodeSelector:
      node-role.kubernetes.io/master: ""
    preemptionPolicy: PreemptLowerPriority
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      seLinuxOptions:
        level: s0:c16,c5
    serviceAccount: authentication-operator
    serviceAccountName: authentication-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - configMap:
        defaultMode: 440
        name: authentication-operator-config
      name: config
    - configMap:
        defaultMode: 420
        name: trusted-ca-bundle
        optional: true
      name: trusted-ca-bundle
    - name: serving-cert
      secret:
        defaultMode: 420
        optional: true
        secretName: serving-cert
    - configMap:
        defaultMode: 420
        name: service-ca-bundle
        optional: true
      name: service-ca-bundle
    - name: authentication-operator-token-4kbpn
      secret:
        defaultMode: 420
        secretName: authentication-operator-token-4kbpn
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:38:37Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:42:53Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:42:53Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:38:37Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://c5797da6d7b0329a17fa67f75efa1812a8465c83f8dfbdf8f7a55645cb734c4c
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d0e9ab39a035468cdc17b59fe61931ca6df3509099b6c2267338215499105524
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d0e9ab39a035468cdc17b59fe61931ca6df3509099b6c2267338215499105524
      lastState:
        terminated:
          containerID: cri-o://ee41a150f193c3b3913da4aba20b66360658fac3c057708d102554f95d952223
          exitCode: 0
          finishedAt: "2022-03-08T10:42:36Z"
          reason: Completed
          startedAt: "2022-03-08T10:40:00Z"
      name: authentication-operator
      ready: true
      restartCount: 2
      started: true
      state:
        running:
          startedAt: "2022-03-08T10:42:52Z"
    hostIP: 10.0.95.76
    phase: Running
    podIP: 10.128.0.11
    podIPs:
    - ip: 10.128.0.11
    qosClass: Burstable
    startTime: "2022-03-08T10:38:37Z"
kind: PodList
metadata:
  resourceVersion: "82496"
  selfLink: /api/v1/namespaces/openshift-authentication-operator/pods
